### Virtual Method

# Clutter Scriptable set_id

#### Declaration [src]

    void
    set_id (
      ClutterScriptable* scriptable,
      const gchar* id_
    )

#### Description [src]

Sets `id_` as the unique Clutter script it for this instance of `ClutterScriptableIface`.

This name can be used by user interface designer applications to define a unique name for an object constructable using the UI definition language parsed by `ClutterScript`.

#### Parameters

`id_`

  Type: `const gchar*`

  The `ClutterScript` id of the object.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.